<!-- <mat-card>
    <mat-card-header>
        <mat-card-title>Listar </mat-card-title>
    </mat-card-header>
    <mat-card-content>




<table mat-table [dataSource]="dataSource" class="full-width-table" >


  <ng-container matColumnDef="nome">
    <th mat-header-cell *matHeaderCellDef> Nome </th>
    <td mat-cell *matCellDef="let element"> {{element.nome}} </td>
  </ng-container>

  <ng-container matColumnDef="matricula">
    <th mat-header-cell *matHeaderCellDef> Matricula </th>
    <td mat-cell *matCellDef="let element"> {{element.matricula}} </td>
  </ng-container>

  <ng-container matColumnDef="semestre">
    <th mat-header-cell *matHeaderCellDef> Semestre </th>
    <td mat-cell *matCellDef="let element"> {{element.semestre}} </td>
  </ng-container>

  <ng-container matColumnDef="acao">
      <th mat-header-cell *matHeaderCellDef>  </th>
      <td mat-cell *matCellDef="let element">
        <button mat-flat-button color="primary" class="buttons" routerLink="/produto-detalhe/{{element._id}}" > Editar </button>
        <button mat-flat-button color="warn" routerLink="/produto-detalhe/{{element._id}}" > Excluir </button>
      </td>
    </ng-container>
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

</mat-card-content>
</mat-card> -->


<div class="card mt-3">
  <div class="card-header">
    <div class="float-left">
      <h4>Cursos</h4>
    </div>
    <div class="float-right">
      <button type="button" class="btn btn-primary" [routerLink]="['novo']">Novo Curso</button>
    </div>
  </div>
  <div class="card-body">
    <table class="table table-hover" >
      <thead>
        <tr>
          <th>Nome</th>
          <th>Matricula</th>
          <th>Semestre</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let curso of dataSource">
          <td>{{ curso.nome }}</td>
          <td>{{ curso.matricula }}</td>
          <td>{{ curso.semestre }}</td>
          <td>
            <span class="float-right">
              <button class="btn btn-outline-warning mb-1 btn-sm" >
                Atualizar
              </button>

              <button class="btn btn-outline-danger mb-1 btn-sm" >
                Remover
              </button>
            </span>
          </td>
        </tr>
      </tbody>
    </table>

    <ng-template #loading>
      <span>Carregando Cursos...</span>
    </ng-template>


  </div>
</div>

<ng-template #deleteModal>
  <div class="modal-body text-center">
    <p>Tem certeza que deseja remover esse curso?</p>
    <button type="button" class="btn btn-default" >Sim</button>
    <button type="button" class="btn btn-primary" >Nao</button>
  </div>
</ng-template>
